package org.springblade.modules.external.ycbigdata.job.wrapper;

import com.qiniu.linking.model.Device;
import org.springblade.community.accessrecord.entity.AccessRecord;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.jobs.devicejob.entity.DeviceJob;
import org.springblade.modules.external.ycbigdata.community.vo.AccessRecordVO;
import org.springblade.modules.external.ycbigdata.job.vo.DeviceJobVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class DeviceJobWrapper extends BaseEntityWrapper<DeviceJob, DeviceJobVO> {


	public static DeviceJobWrapper build(){
		return new DeviceJobWrapper();
	}
	@Override
	public DeviceJobVO entityVO(DeviceJob deviceJob) {

		DeviceJobVO deviceJobVO = Objects.requireNonNull(BeanUtil.copy(deviceJob,DeviceJobVO.class));
		return deviceJobVO;
	}
}
